Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.exception
Class ViewAlreadyExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              de.jsystems.tools.exception.BaseException
                  de.jsystems.framework.common.exception.ViewAlreadyExistsException

All Implemented Interfaces:
  Serializable

public class ViewAlreadyExistsException
extends BaseException

Diese Exception wird vom `Controller` in der Methode `registerView(BusinessView)` ausgeloest, wenn versucht wird, eine View unter einem Namen zu registrieren, der schon vergeben ist. Damit wird verhindert, das ein Name fuer mehr als eine View verwendet wird. Gleichzeitig wird damit verhindert, das eine View mehrmals registriert wird.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary

Fields inherited from class de.jsystems.tools.exception.BaseException
`LEVEL_ERROR, LEVEL_FATAL, LEVEL_WARNING, LOG_ERROR, LOG_FATAL_ERROR, LOG_NONE, LOG_WARNING`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ViewAlreadyExistsException(String message)` Erzeugt eine neue Message mit dem uebergebenen Fehlertext.

Methods inherited from class de.jsystems.tools.exception.BaseException
`getLevel, getOrigin, getOriginMessage, getSource, logException, logException, showMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ViewAlreadyExistsException

    public ViewAlreadyExistsException(String message)

  Erzeugt eine neue Message mit dem uebergebenen Fehlertext. Dieser enthaelt den Hinweistest, das unter dem Namen, der beim registrieren einer View verwendet werden sollte, schon eine View registriert wurde.

Parameters:
  `message` - Eine Fehlerbeschreibung, warum es zu dieser Exception kam.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD